@echo off
rem --------------------------------------------------------
rem   Check program for Updata target machine.
rem     type: WS5000 / WS-V Series
rem --------------------------------------------------------
setlocal

rem ------------------------------------
rem -----  WS5000R2/WS5000 Series  -----
rem ------------------------------------
set WS5K_MICON=".\WS5000\micon\bin\miconapl.exe"

rem --- Target machine check. (miconapl.exe) ---
%WS5K_MICON% -b -a mcon_get_version > nul

if errorlevel 1 goto find_error
if errorlevel 0 goto check_WS5K

:check_WS5K
for /f %%z in ('%WS5K_MICON% -b -a mcon_get_version') do set MODEL=%%z

if "%MODEL%" == "mcon_version=TS-A" goto find_WS5K
goto find_error


rem ------------------------------------
rem -----       WS-V Series        -----
rem ------------------------------------
rem set WSV_MICON=".\WS-V\micon\bin\miconapl.exe"

rem --- Target machine check. (miconapl.exe) ---
rem %WSV_MICON% -b -a mcon_get_version > nul

rem if errorlevel 1 goto fin_error
rem if errorlevel 0 goto check_WSV

rem :check_WSV
rem for /f %%y in ('%WSV_MICON% -b -a mcon_get_version') do set MODEL=%%y

rem if "%MODEL%" == "mcon_version=TS-QVL" goto find_WSV
rem goto find_error



rem ----- Exit find machine  -----
rem :find_WSV
rem endlocal
rem exit /b 2

:find_WS5K
endlocal
exit /b 1

:find_error
endlocal
exit /b 0
